## Apache Zeta Components Manual :: Docs For Class ezcMvcResultUnauthorized

### MvcTools::ezcMvcResultUnauthorized

### Class ezcMvcResultUnauthorized

This result type is used to signal a HTTP basic auth header

Source for this file: /MvcTools/src/result_types/unauthorized.php

### Implements interfaces:

- ezcMvcResultStatusObject

Version: | //autogentag//

### Member Variables

public string | `$realm` The realm is the unique ID to identify a login area

### Method Summary

public ezcMvcResultUnauthorized | `__construct( $realm )` Constructs an ezcMvcResultUnauthorized object for $realm
public void | `process( $writer )` Uses the passed in $writer to set the HTTP authentication header.

### Methods

#### __construct

ezcMvcResultUnauthorized __construct( string $realm )

Constructs an ezcMvcResultUnauthorized object for $realm

##### Parameters:

Name | Type | Description
--- | --- | ---
`$realm` | string |

#### process

void process( ezcMvcResponseWriter $writer )

Uses the passed in $writer to set the HTTP authentication header.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$writer` | ezcMvcResponseWriter |

##### Implementation of:

Method | Description
--- | ---
`ezcMvcResultStatusObject::process()` | This method is called by the response writers to process the data contained in the status objects.

Documentation generated by phpDocumentor 1.4.3